Skip to main content
GET
Get an asset

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

Sequence-Version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Asset ID

Response

OK

id
string
required

Unique ID for this asset.

Example:

"e007e884-5100-4183-8355-4771865cb4dd"

createdBy
string
required

The ID of the asset creator. A Sequence user id or API key id, as identified by createdByType.

Example:

"94703530-1293-479b-bd37-ccad42fd9c8b"

createdByType
enum<string>
required

Whether createdBy identifies a SEQUENCE_USER or an API_CLIENT.

Available options:
SEQUENCE_USER,
API_CLIENT
Example:

"SEQUENCE_USER"

type
enum<string>
required

Classification of this asset as IMAGE, DOCUMENT, or BINARY.

Available options:
IMAGE,
DOCUMENT,
BINARY
Example:

"IMAGE"

format
enum<string>
required

File format of this asset. For uploaded assets, this value is derived from the Content-Type of the file part.

Available options:
JPEG,
JPG,
PNG,
PDF,
CSV,
TXT,
RTF,
MD,
XLS,
XLSX,
XLSM,
DOC,
DOCX,
ZIP,
ODT,
ODS
Example:

"PNG"

fileName
string
required

Original filename provided when the asset was uploaded.

Example:

"my-image.png"

fileSizeBytes
integer<int32>
required

Size of the stored file, in bytes. This may differ from the size of the uploaded file.

Example:

12345

url
string
required

Signed URL for downloading the file. The URL expires one week after it is generated. Call Get an asset when you need a new URL.

Example:

"https://assets.sequencehq.com/1986c663-9ee9-4811-bfbf-57d2ad666096/images/e007e884-5100-4183-8355-4771865cb4dd.png?token=grhc3VtaoNLAifDBFXWYLHcNnK3XJHzFjZ4iMf78Ozg&expires=604800"

createdAt
string
required

The time at which this asset was created. Formatted as an ISO 8601 timestamp.

Example:

"2023-11-27T12:00:00Z"